module.exports = {
  preset: 'ts-jest',
  transform: {
    '^.+\\.tsx?$': 'babel-jest',
  },
  coverageProvider: 'v8',
  coverageDirectory: 'coverage',
  collectCoverageFrom: ['**/src/**/*.{ts,tsx}', '!**/src/app.tsx'],
  collectCoverage: true,
  clearMocks: true,
  moduleNameMapper: {
    '\\.(svg|webp)$': '<rootDir>/__mocks__/file',
    'react-i18next': '<rootDir>/__mocks__/react-i18next',
  },
  testEnvironmentOptions: {
    customExportConditions: [''],
  },
  testEnvironment: 'jest-fixed-jsdom',
  testPathIgnorePatterns: ['/node_modules/', '<rootDir>/e2e'],
};
